/*
**      $VER: SuperPlay.c 6.2 (17.3.97)
**
**      SuperPlay MAIN header
**
**      (C) Copyright 1994-97 Andreas R. Kleinert
**      All Rights Reserved.
*/

#ifndef SUPERPLAY_H
#define SUPERPLAY_H

#define __USE_SYSBASE

#ifndef INTUITION_INTUITION_H
#include <intuition/intuitionbase.h>
#endif /* INTUITION_INTUITION_H */

#ifndef EXEC_MEMORY_H
#include <exec/memory.h>
#endif /* EXEC_MEMORY_H */

#ifndef EXEC_LISTS_H
#include <exec/lists.h>
#endif /* EXEC_LISTS_H */

#ifndef LIBRARIES_DOS_H
#include <libraries/dos.h>
#endif /* LIBRARIES_DOS_H */

#ifndef LIBRARIES_ASL_H
#include <libraries/asl.h>
#endif /* LIBRARIES_ASL_H */

#ifndef UTILITY_TAGITEM_H
#include <utility/tagitem.h>
#endif /* UTILITY_TAGITEM_H */

#ifndef _STDIO_H
#include <stdio.h>
#endif /* _STDIO_H */

#ifndef _STDLIB_H
#include <stdlib.h>
#endif /* _STDLIB_H */

#ifndef _STRING_H
#include <string.h>
#endif /* _STRING_H */

#ifndef _CTYPE_H
#include <ctype.h>
#endif /* _CTYPE_H */

#include <superplay/superplaybase.h>

#include <proto/exec.h>
#include <proto/dos.h>
#include <proto/intuition.h>
#include <proto/gadtools.h>
#include <proto/asl.h>

#include <proto/superplay.h>
#include <proto/spobjects.h>

#include "SuperPlay_Main.h"
#include "SP_SPOListSubs.h"


/* *************************************************** */
/* *						     * */
/* * Version Defines				     * */
/* *						     * */
/* *************************************************** */

#define SP_STRDEF_VER	  "\0$VER: "
#define SP_STRDEF_VERSION "SuperPlay V6.2"
#define SP_STRDEF_DATE	  "(17.3.97)"


/* *************************************************** */
/* *						     * */
/* * MACROs for Version-Tests			     * */
/* *						     * */
/* *************************************************** */

#define LibVer(x) ( ((struct Library *) x)->lib_Version )
#define OS_VER	  LibVer(SysBase)


/* *************************************************** */
/* *						     * */
/* * Additional Base References  		     * */
/* *						     * */
/* *************************************************** */

extern struct ExecBase	    *SysBase;
extern struct IntuitionBase *IntuitionBase;
extern struct Library	    *GadToolsBase;
extern struct SuperPlayBase *SuperPlayBase;


/* *************************************************** */
/* *						     * */
/* * Globally Referenced Variables		     * */
/* *						     * */
/* *************************************************** */

extern struct SPS_SPOList     *SPOList;


/* *************************************************** */
/* *						     * */
/* * Compiler Stuff for BackgroundIO		     * */
/* *						     * */
/* *************************************************** */

extern BPTR _Backstdout; /* NULL, if started from Workbench */


/* *************************************************** */
/* *						     * */
/* * References for GUI Access                       * */
/* *						     * */
/* *************************************************** */

extern struct Screen *Scr;
extern struct Window *SP_Main_Wnd;


/* *************************************************** */
/* *						     * */
/* * Specific Definitions                            * */
/* *						     * */
/* *************************************************** */

struct SP_RememberPath
{
 char rp_Dir  [256]; /* dir                   */
 char rp_File [256]; /* file                  */
 char rp_Path [256]; /* dir + ("/"| %) + file */
};


#endif /* SUPERPLAY_H */
